function Function()

	script.Parent.Use.MaxActivationDistance = 0

	wait(0.2)

	if game.Workspace.Glass.Landing.IsPlaying == false then
		if game.Workspace.Glass.Fly.Value == true then
			game.Workspace.Glass.Fly.Value = false
			if game.Workspace.Glass.Takeoff.IsPlaying == true then
				wait(5.5)
				game.Workspace.Glass.Takeoff:Stop()
			end
		end
	end

	wait(0.2)

	script.Parent.Use.MaxActivationDistance = 5
end

script.Parent.Use.MouseClick:connect(Function)